Bug 240954 - X Error BadPixmap in X_FreePixmap
X Error BadPixmap in X_FreePixmap
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 08:53 EDT by Thomas Sailer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-02 09:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the BadPixmap abort (2.49 KB, patch)
2007-05-23 08:53 EDT, Thomas Sailer
no flags Details | Diff

  None (edit)
Description Thomas Sailer 2007-05-23 08:53:47 EDT
Description of problem:
When I try to run an old wxWindows application, whenever I try to open a file 
dialog, wine aborts with X Error BadPixmap in X_FreePixmap.

The attached patch from CodeWeavers fixes this for me.

Version-Release number of selected component (if applicable):
wine-0.9.36-2.fc6

How reproducible:
always
Comment 1 Thomas Sailer 2007-05-23 08:53:48 EDT
Created attachment 155234 [details]
Patch to fix the BadPixmap abort
Comment 2 Andreas Bierfert 2007-06-02 09:33:23 EDT
Hm, I have been waiting to see if this is applied to upstream wine. It is not in
.38. Please open a bugreport upstream about the issues you have and why you
think this patch should be applied. This really is not a packaging bug and
especially with the wine project all 'feature' bugs should be discussed upstream
and not on the packaging part of things. Hope you understand.

Note You need to log in before you can comment on or make changes to this bug.